{% extends "base.html.jinja" %}

{% block content %}
  <div class="d-flex align-items-center">
    <main class="py-5 m-100 m-auto" style="max-width: 500px">
      <form method="POST" enctype="multipart/form-data">
        <fieldset id="forms__input">
          <legend class="text-center">XDF3 zu XDF2 Konverter</legend>

          <p>
            Konvertiert eine XDF3 Schemadatei zu XDF2. Das Ergebnis ist ein
            Zip-Archiv, welches die XDF2 Datei sowieso alle Codelisten, die aus
            den Wertelisten generiert wurden, enthält.
          </p>

          <div class="text-center mb-3 alert alert-warning" role="alert">
            Die Konvertierung von XDF3 zu XDF2 ist verlustbasiert.
          </div>

          <div class="mb-3">
            <label for="schema">Schemadatei auswählen:</label>
            <input
              class="form-control"
              name="schema"
              type="file"
              id="schema"
              accept="text/xml"
              required
            />
          </div>

          <button class="btn btn-primary w-100 py-2 mt-3" type="submit">
            Konvertieren
          </button>
        </fieldset>
      </form>
    </main>
  </div>
{% endblock %}
